Package de.tudresden.sumo.cmd

## Class Multientryexit

- java.lang.Object
- - de.tudresden.sumo.cmd.Multientryexit

-     public class Multientryexit
      extends Object

  Author:
    Mario Krumnow, Evamarie Wiessner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Multientryexit()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SumoCommand` | `getIDCount()` | Returns the number of all multi-entry/multi-exit detectors in the network.
    `static SumoCommand` | `getIDList()` | Returns a list of IDs of all multi-entry/multi-exit detectors within the scenario.
    `static SumoCommand` | `getLastStepHaltingNumber​(String detID)` | Returns the number of vehicles which were halting during the last time step.
    `static SumoCommand` | `getLastStepMeanSpeed​(String detID)` | Returns the mean speed of vehicles (in m/s) that have been within the named multi-entry/multi-exit detector within the last simulation step.
    `static SumoCommand` | `getLastStepVehicleIDs​(String detID)` | Returns the list of IDs of vehicles that have been within the named multi-entry/multi-exit detector in the last simulation step.
    `static SumoCommand` | `getLastStepVehicleNumber​(String detID)` | Returns the number of vehicles that have been within the named multi-entry/multi-exit detector within the last simulation step.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Multientryexit

          public Multientryexit()

  - ### Method Detail

    - #### getIDList

          public static SumoCommand getIDList()

      Returns a list of IDs of all multi-entry/multi-exit detectors within the scenario.
      Returns:
        list of IDs of all detectors

    - #### getIDCount

          public static SumoCommand getIDCount()

      Returns the number of all multi-entry/multi-exit detectors in the network.
      Returns:
        the number of detectors

    - #### getLastStepHaltingNumber

          public static SumoCommand getLastStepHaltingNumber​(String detID)

      Returns the number of vehicles which were halting during the last time step.
      Parameters:
        `detID` - a string identifying the multi-entry/multi-exit detector
      Returns:
        number of halting vehicles

    - #### getLastStepMeanSpeed

          public static SumoCommand getLastStepMeanSpeed​(String detID)

      Returns the mean speed of vehicles (in m/s) that have been within the named multi-entry/multi-exit detector within the last simulation step.
      Parameters:
        `detID` - a string identifying the multi-entry/multi-exit detector
      Returns:
        average speed within the last time step

    - #### getLastStepVehicleIDs

          public static SumoCommand getLastStepVehicleIDs​(String detID)

      Returns the list of IDs of vehicles that have been within the named multi-entry/multi-exit detector in the last simulation step.
      Parameters:
        `detID` - a string identifying the multi-entry/multi-exit detector
      Returns:
        list of IDs of all vehicles

    - #### getLastStepVehicleNumber

          public static SumoCommand getLastStepVehicleNumber​(String detID)

      Returns the number of vehicles that have been within the named multi-entry/multi-exit detector within the last simulation step.
      Parameters:
        `detID` - a string identifying the multi-entry/multi-exit detector
      Returns:
        number of vehicles